Package org.h2.store.fs

# Class FileBase

java.lang.Object
java.nio.channels.spi.AbstractInterruptibleChannel
java.nio.channels.FileChannel
org.h2.store.fs.FileBase

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `ByteChannel`, `Channel`, `GatheringByteChannel`, `InterruptibleChannel`, `ReadableByteChannel`, `ScatteringByteChannel`, `SeekableByteChannel`, `WritableByteChannel`

Direct Known Subclasses:
  `FileBaseDefault`, `FilePathCache.FileCache`

public abstract class FileBase extends FileChannel
The base class for file implementations.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.nio.channels.FileChannel

`FileChannel.MapMode`

## Constructor Summary

Constructors
Constructor
Description
`FileBase()`

## Method Summary

Modifier and Type
Method
Description
`void`
`force(boolean metaData)`
`protected void`
`implCloseChannel()`
`FileLock`
`lock(long position, long size, boolean shared)`
`MappedByteBuffer`
`map(FileChannel.MapMode mode, long position, long size)`
`long`
`read(ByteBuffer[] dsts, int offset, int length)`
`int`
`read(ByteBuffer dst, long position)`
`long`
`transferFrom(ReadableByteChannel src, long position, long count)`
`long`
`transferTo(long position, long count, WritableByteChannel target)`
`FileLock`
`tryLock(long position, long size, boolean shared)`
`long`
`write(ByteBuffer[] srcs, int offset, int length)`
`int`
`write(ByteBuffer src, long position)`

### Methods inherited from class java.nio.channels.FileChannel

`lock, open, open, position, position, read, read, size, truncate, tryLock, write, write`

### Methods inherited from class java.nio.channels.spi.AbstractInterruptibleChannel

`begin, close, end, isOpen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.nio.channels.Channel

`isOpen`

## Constructor Details

### FileBase

public FileBase()

## Method Details

### read

public int read(ByteBuffer dst, long position) throws IOException

Specified by:
  `read` in class `FileChannel`
Throws:
  `IOException`

### write

public int write(ByteBuffer src, long position) throws IOException

Specified by:
  `write` in class `FileChannel`
Throws:
  `IOException`

### force

public void force(boolean metaData) throws IOException

Specified by:
  `force` in class `FileChannel`
Throws:
  `IOException`

### implCloseChannel

protected void implCloseChannel() throws IOException

Specified by:
  `implCloseChannel` in class `AbstractInterruptibleChannel`
Throws:
  `IOException`

### lock

public FileLock lock(long position, long size, boolean shared) throws IOException

Specified by:
  `lock` in class `FileChannel`
Throws:
  `IOException`

### map

public MappedByteBuffer map(FileChannel.MapMode mode, long position, long size) throws IOException

Specified by:
  `map` in class `FileChannel`
Throws:
  `IOException`

### read

public long read(ByteBuffer[] dsts, int offset, int length) throws IOException

Specified by:
  `read` in interface `ScatteringByteChannel`
Specified by:
  `read` in class `FileChannel`
Throws:
  `IOException`

### transferFrom

public long transferFrom(ReadableByteChannel src, long position, long count) throws IOException

Specified by:
  `transferFrom` in class `FileChannel`
Throws:
  `IOException`

### transferTo

public long transferTo(long position, long count, WritableByteChannel target) throws IOException

Specified by:
  `transferTo` in class `FileChannel`
Throws:
  `IOException`

### tryLock

public FileLock tryLock(long position, long size, boolean shared) throws IOException

Specified by:
  `tryLock` in class `FileChannel`
Throws:
  `IOException`

### write

public long write(ByteBuffer[] srcs, int offset, int length) throws IOException

Specified by:
  `write` in interface `GatheringByteChannel`
Specified by:
  `write` in class `FileChannel`
Throws:
  `IOException`